/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.services;

import org.eclipse.emf.ecore.EObject;
import org.fortiss.tooling.kernel.ui.interfaces.IModelElementHandler;
import org.fortiss.tooling.kernel.ui.internal.ModelElementService;

/**
 * The model context service provides information about registered model
 * elements.
 * 
 * @see IModelElementHandler
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: F470AE8CE0B8E2DA47B0099EDC4BFA88
 */
public interface IModelElementService {

	/** Returns the singleton instance of the service. */
	public static final IModelElementService INSTANCE = new ModelElementService();

	/** Returns the model element handler for the given model element. */
	IModelElementHandler<EObject> getModelElementHandler(EObject modelElement);
}
